<?php

date_default_timezone_set("America/Sao_Paulo");

require DIR."/vendor/autoload.php";
require DIR."/vendor/zeedhi/framework/bootstrap.php";
require DIR."/vendor/teknisa/libraries/scripts/bootstrap.php";
//require DIR."/vendor/teknisa/zeedhiApiKeys/bootstrap.php";

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$instanceManager->loadFromFile(DIR."/config/parameters.xml");
$instanceManager->loadFromFile(DIR."/config/general.xml");
$instanceManager->loadFromFile(DIR."/config/base.xml");
$instanceManager->loadFromFile(DIR."/config/factories.xml");
$instanceManager->loadFromFile(DIR."/config/services.xml");
$instanceManager->loadFromFile(DIR."/config/controllers.xml");
$instanceManager->loadFromFile(DIR."/vendor/zeedhi/framework/services.xml");
$instanceManager->loadFromFile(DIR."/config/environment.xml");
$instanceManager->loadFromFile(DIR."/config/db.xml");

//$instanceManager->loadFromFile(DIR."/config/preferences.xml");

$routes = array();
$routes[] = DIR . "/vendor/teknisa/libraries/libRoutes.json";
$routes[] = DIR. '/config/routes.json';

$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));
$instanceManager->compile();
/*
use Doctrine\DBAL\Types\Type;

Type::overrideType(Type::DATE, 'Setforms2\Shared\ORM\DateType');
Type::overrideType(Type::DATETIME, 'Setforms2\Shared\ORM\DateTimeType');

$entity_manager = $instanceManager->getService('entityManager');
\Setforms2\Shared\Registry::store("EntityManager", $entity_manager);
\Setforms2\Shared\Registry::store("EntityManagerConnection", $entity_manager->getConnection());
*/